/*
 * SymbolBase.h
 *
 *  Created on: Mar 26, 2013
 *      Author: Jan Travnicek
 */

#ifndef SYMBOL_BASE_H_
#define SYMBOL_BASE_H_

#include <object/ObjectBase.h>

namespace alphabet {

/**
 * Represents symbol in an alphabet.
 */
class SymbolBase : public object::ObjectBase {
public:
	virtual SymbolBase* clone ( ) const & = 0;
	virtual SymbolBase* clone() && = 0;

	virtual SymbolBase* inc() && = 0;
};

} /* namespace alphabet */

#endif /* SYMBOL_BASE_H_ */
