/*
 * RegExpBase.h
 *
 *  Created on: Apr 10, 2013
 *      Author: Jan Travnicek
 */

#ifndef REG_EXP_BASE_H_
#define REG_EXP_BASE_H_

#include <object/ObjectBase.h>

namespace regexp {

/**
 * Represents symbol in an alphabet.
 */
class RegExpBase : public object::ObjectBase {
public:
	virtual RegExpBase* clone ( ) const & = 0;
	virtual RegExpBase* clone() && = 0;
};

} /* namespace regexp */

#endif /* REG_EXP_BASE_H_ */
