/*
 * FormalRegExp.cpp
 *
 *  Created on: Jan 30, 2014
 *      Author: Jan Travnicek
 */

#include <regexp/xml/FormalRegExp.h>

#include <regexp/RegExp.h>
#include <object/Object.h>

#include <registration/XmlRegistration.hpp>

namespace {

static auto xmlWrite = registration::XmlWriterRegister < regexp::FormalRegExp < > > ( );
static auto xmlRead = registration::XmlReaderRegister < regexp::FormalRegExp < > > ( );

static auto xmlGroup1 = registration::XmlRegisterTypeInGroup < regexp::RegExp, regexp::FormalRegExp < > > ( );
static auto xmlGroup2 = registration::XmlRegisterTypeInGroup < object::Object, regexp::FormalRegExp < > > ( );

} /* namespace */
