/*
 * StringBase.h
 *
 *  Created on: Mar 26, 2013
 *      Author: Jan Travnicek
 */

#ifndef STRING_BASE_H_
#define STRING_BASE_H_

#include <object/ObjectBase.h>

namespace string {

/**
 * Represents symbol in an alphabet.
 */
class StringBase : public object::ObjectBase {
public:
	virtual StringBase * clone ( ) const & = 0;
	virtual StringBase * clone ( ) && = 0;
};

} /* namespace string */

#endif /* STRING_BASE_H_ */
