/*
 * WildcardLinearString.cpp
 *
 *  Created on: Apr 12, 2018
 *      Author: Jan Travnicek
 */

#include "WildcardLinearString.h"

#include <string/String.h>
#include <object/Object.h>

#include <registration/XmlRegistration.hpp>

namespace {

static auto xmlWrite = registration::XmlWriterRegister < string::WildcardLinearString < > > ( );
static auto xmlRead = registration::XmlReaderRegister < string::WildcardLinearString < > > ( );

static auto xmlGroup1 = registration::XmlRegisterTypeInGroup < string::String, string::WildcardLinearString < > > ( );
static auto xmlGroup2 = registration::XmlRegisterTypeInGroup < object::Object, string::WildcardLinearString < > > ( );

} /* namespace */
