/*
 * LR0ItemsLabel.h
 *
 *  Created on: Apr 10, 2013
 *      Author: Stepan Plachy
 */

#ifndef _XML_LR0ITEMS_LABEL_H_
#define _XML_LR0ITEMS_LABEL_H_

#include <label/LR0ItemsLabel.h>
#include <core/xmlApi.hpp>

namespace core {

template < >
struct xmlApi < label::LR0ItemsLabel > {
	static label::LR0ItemsLabel parse ( ext::deque < sax::Token >::iterator & input );
	static bool first ( const ext::deque < sax::Token >::const_iterator & input );
	static const std::string & xmlTagName ( );
	static void compose ( ext::deque < sax::Token > & output, const label::LR0ItemsLabel & data );
};

} /* namespace core */

#endif /* _XML_LR0ITEMS_LABEL_H_ */
