// GraphBase.hpp
//
//     Created on: 28. 02. 2018
//         Author: Jan Uhlik
//    Modified by:
//
// Copyright (c) 2017 Czech Technical University in Prague | Faculty of Information Technology. All rights reserved.
// Git repository: https://gitlab.fit.cvut.cz/algorithms-library-toolkit/automata-library

#ifndef ALIB2_GRAPHBASE_HPP
#define ALIB2_GRAPHBASE_HPP

#include <object/ObjectBase.h>

namespace graph {

/**
 * Represents graph.
 */
class GraphBase : public object::ObjectBase {
// ---------------------------------------------------------------------------------------------------------------------

 public:
  virtual GraphBase *clone() const = 0;
  virtual GraphBase *plunder() &&= 0;

// ---------------------------------------------------------------------------------------------------------------------
};

} // namespace graph

#endif //ALIB2_GRAPHBASE_HPP
