// GridTest.hpp
//
//     Created on: 29. 03. 2018
//         Author: Jan Uhlik
//    Modified by:
//
// Copyright (c) 2017 Czech Technical University in Prague | Faculty of Information Technology. All rights reserved.
// Git repository: https://gitlab.fit.cvut.cz/algorithms-library-toolkit/automata-library

#ifndef ALIB2_GRIDTEST_HPP
#define ALIB2_GRIDTEST_HPP

#include <cppunit/TestFixture.h>
#include <cppunit/extensions/HelperMacros.h>

class GridTest : public CppUnit::TestFixture {
 CPPUNIT_TEST_SUITE(GridTest);
    CPPUNIT_TEST(testGrid4);
    CPPUNIT_TEST(testGrid8);
    CPPUNIT_TEST(testGrid4Weighted);
    CPPUNIT_TEST(testGrid8Weighted);
  CPPUNIT_TEST_SUITE_END();

 public:
  void setUp() override;
  void tearDown() override;

  void testGrid4();
  void testGrid8();
  void testGrid4Weighted();
  void testGrid8Weighted();

};

#endif //ALIB2_GRIDTEST_HPP
