#include "PtrTupleTest.h"
#include <alib/ptr_tuple>
#include <sstream>

CPPUNIT_TEST_SUITE_NAMED_REGISTRATION( PtrTupleTest, "bits" );
CPPUNIT_TEST_SUITE_REGISTRATION( PtrTupleTest );

void PtrTupleTest::setUp() {
}

void PtrTupleTest::tearDown() {
}

void PtrTupleTest::testCallOnNth() {
	ext::ptr_tuple < int, int, int, int, int > t = ext::make_ptr_tuple ( 1, 2, 3, 4, 5 );

	CPPUNIT_ASSERT ( ext::call_on_nth < int > ( t, 1, [] ( int i ) { return i; } ) == 2 );

	std::stringstream ss;
	ss << t;
	std::cout << ss.str ( ) << std::endl;
	CPPUNIT_ASSERT ( ss.str ( ) == "(1, 2, 3, 4, 5)" );
}

