/*
 * ObjectsTree.cpp
 *
 * Created on: Apr 1, 2013
 * Author: Jan Travnicek
 */

#include "ObjectsTree.h"
#include <container/Container.h>

#include <registration/ValuePrinterRegistration.hpp>
#include <registration/XmlRegistration.hpp>

namespace {

static auto xmlWrite = registration::XmlWriterRegister < container::ObjectsTree < > > ( );
static auto xmlRead = registration::XmlReaderRegister < container::ObjectsTree < > > ( );

static auto xmlGroup1 = registration::XmlRegisterTypeInGroup < container::Container, container::ObjectsTree < > > ( );
static auto xmlGroup2 = registration::XmlRegisterTypeInGroup < object::Object, container::ObjectsTree < > > ( );

} /* namespace */
