/*
 * PDAToRHPDA.h
 *
 *  Created on: 23. 3. 2014
 *	  Author: Jan Travnicek
 */

#ifndef PDA_TO_RHPDA_H_
#define PDA_TO_RHPDA_H_

#include <automaton/PDA/RealTimeHeightDeterministicNPDA.h>
#include <automaton/PDA/RealTimeHeightDeterministicDPDA.h>
#include <automaton/PDA/NPDA.h>
#include <automaton/PDA/DPDA.h>

namespace automaton {

class PDAToRHPDA {
public:
	static automaton::RealTimeHeightDeterministicDPDA < > convert( const automaton::RealTimeHeightDeterministicDPDA < > & pda);
	static automaton::RealTimeHeightDeterministicDPDA < > convert( const automaton::DPDA < > & pda);
	static automaton::RealTimeHeightDeterministicNPDA < > convert( const automaton::RealTimeHeightDeterministicNPDA < > & pda);
	static automaton::RealTimeHeightDeterministicNPDA < > convert( const automaton::NPDA < > & pda);
};

} /* namespace automaton */

#endif /* PDA_TO_RHPDA_H_ */
