/*
 * RHPDAToPDA.h
 *
 *  Created on: 23. 3. 2014
 *	  Author: Jan Travnicek
 */

#ifndef RHPDA_TO_PDA_H_
#define RHPDA_TO_PDA_H_

#include <automaton/PDA/RealTimeHeightDeterministicNPDA.h>
#include <automaton/PDA/RealTimeHeightDeterministicDPDA.h>
#include <automaton/PDA/NPDA.h>
#include <automaton/PDA/DPDA.h>


namespace automaton {

class RHPDAToPDA {
public:
	static automaton::DPDA < > convert( const automaton::RealTimeHeightDeterministicDPDA < > & pda);
	static automaton::DPDA < > convert( const automaton::DPDA < > & pda);
	static automaton::NPDA < > convert( const automaton::RealTimeHeightDeterministicNPDA < > & pda);
	static automaton::NPDA < > convert( const automaton::NPDA < > & pda);
};

} /* namespace automaton */

#endif /* RHPDA_TO_PDA_H_ */
