/*
 * PositionHeapNaive.cpp
 *
 *  Created on: 6. 2. 2017
 *      Author: Jan Travnicek
 */

#include "PositionHeapNaive.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace indexing {

auto positionHeapNaiveLinearString = registration::AbstractRegister < PositionHeapNaive, indexes::stringology::PositionHeap < DefaultSymbolType >, const string::LinearString < > & > ( PositionHeapNaive::construct );

} /* namespace indexing */

} /* namespace stringology */
