/*
 * Author: Radovan Cerveny
 */

#include "BackwardOracleMatching.h"
#include <registration/AlgoRegistration.hpp>

namespace stringology {

namespace query {

auto BackwardOracleMatchingLinearStringLinearString = registration::AbstractRegister < BackwardOracleMatching, ext::set < unsigned >, const string::LinearString < > &, const automaton::DFA < > & > ( BackwardOracleMatching::match );

} /* namespace query */

} /* namespace stringology */
