/*
 * BadCharacterShiftTable.cpp
 *
 *  Created on: 5. 11. 2014
 *      Author: Radomir Polach, Tomas Pecka, Jan Travnicek
 */

#include "BadCharacterShiftTable.h"
#include <registration/AlgoRegistration.hpp>

namespace tree {

namespace properties {

auto BadCharacterShiftTablePrefixRankedBarPattern = registration::AbstractRegister < BadCharacterShiftTable, ext::map < common::ranked_symbol < >, size_t >, const tree::PrefixRankedBarPattern < > & > ( BadCharacterShiftTable::bcs );
auto BadCharacterShiftTablePrefixRankedBarNonlinearPattern = registration::AbstractRegister < BadCharacterShiftTable, ext::map < common::ranked_symbol < >, size_t >, const tree::PrefixRankedBarNonlinearPattern < > & > ( BadCharacterShiftTable::bcs );

} /* namespace properties */

} /* namespace tree */
