/*
 * AutomatonBase.h
 *
 *  Created on: Apr 10, 2013
 *      Author: Jan Travnicek
 */

#ifndef AUTOMATON_BASE_H_
#define AUTOMATON_BASE_H_

#include <object/ObjectBase.h>

namespace automaton {

/**
 * Represents symbol in an alphabet.
 */
class AutomatonBase : public object::ObjectBase {
public:
	virtual AutomatonBase* clone ( ) const & = 0;
	virtual AutomatonBase* clone() && = 0;
};

} /* namespace automaton */

#endif /* AUTOMATON_BASE_H_ */
