/*
 * PrimitiveLabel.h
 *
 *  Created on: Mar 26, 2013
 *      Author: Jan Travnicek
 */

#ifndef _XML_PRIMITIVE_LABEL_H_
#define _XML_PRIMITIVE_LABEL_H_

#include <label/PrimitiveLabel.h>
#include <core/xmlApi.hpp>

namespace core {

template < >
struct xmlApi < label::PrimitiveLabel > {
	static label::PrimitiveLabel parse ( ext::deque < sax::Token >::iterator & input );
	static bool first ( const ext::deque < sax::Token >::const_iterator & input );
	static const std::string & xmlTagName ( );
	static void compose ( ext::deque < sax::Token > & output, const label::PrimitiveLabel & data );
};

} /* namespace core */

#endif /* _XML_PRIMITIVE_LABEL_H_ */
