/*
 * RTEBase.h
 *
 *  Created on: Feb 1, 2016
 *      Author: Tomas Pecka
 */

#ifndef RTE_BASE_H_
#define RTE_BASE_H_

#include <object/ObjectBase.h>

namespace rte {

class RTEBase : public object::ObjectBase {
public:
	/**
	 * @copydoc object::ObjectBase::clone ( ) const &
	 */
	virtual RTEBase * clone ( ) const & = 0;

	/**
	 * @copydoc object::ObjectBase::clone ( ) &&
	 */
	virtual RTEBase * clone ( ) &&  = 0;
};

} /* namespace rte */

#endif /* RTE_BASE_H_ */
