/*
 * TreeBase.h
 *
 *  Created on: Nov 16, 2014
 *      Author: Stepan Plachy
 */

#ifndef TREE_BASE_H_
#define TREE_BASE_H_

#include <object/ObjectBase.h>

namespace tree {

/**
 * Represents symbol in an alphabet.
 */
class TreeBase : public object::ObjectBase {
public:
	virtual TreeBase* clone ( ) const & = 0;
	virtual TreeBase* clone() && = 0;
};

} /* namespace tree */

#endif /* TREE_BASE_H_ */
