#ifndef SPARSE_BOOL_VECTOR_TEST_H_
#define SPARSE_BOOL_VECTOR_TEST_H_

#include <cppunit/extensions/HelperMacros.h>

class SparseBoolVectorTest : public CppUnit::TestFixture
{
  CPPUNIT_TEST_SUITE( SparseBoolVectorTest );
  CPPUNIT_TEST( testVectorCompatibility );
  CPPUNIT_TEST( testShifts4 );
  CPPUNIT_TEST( testShifts5 );
  CPPUNIT_TEST( testOnesIterator );
  CPPUNIT_TEST( testCompare );
  CPPUNIT_TEST( testSubscript );
  CPPUNIT_TEST( testSubscript2 );
  CPPUNIT_TEST( testOperatorAnd );
  CPPUNIT_TEST( testXmlApi );
  CPPUNIT_TEST_SUITE_END();

public:
  void setUp();
  void tearDown();

  void testVectorCompatibility();
  void testShifts4();
  void testShifts5();
  void testOnesIterator();
  void testCompare();
  void testSubscript();
  void testSubscript2();
  void testOperatorAnd();
  void testXmlApi();
};

#endif  // SPARSE_BOOL_VECTOR_TEST_H_
