// GridBase.hpp
//
//     Created on: 29. 03. 2018
//         Author: Jan Uhlik
//    Modified by:
//
// Copyright (c) 2017 Czech Technical University in Prague | Faculty of Information Technology. All rights reserved.
// Git repository: https://gitlab.fit.cvut.cz/algorithms-library-toolkit/automata-library

#ifndef ALIB2_GRIDBASE_HPP
#define ALIB2_GRIDBASE_HPP

#include <object/ObjectBase.h>

namespace grid {

/**
 * Represents Grid.
 */
class GridBase : public object::ObjectBase {
// ---------------------------------------------------------------------------------------------------------------------

 public:
  virtual GridBase *clone() const = 0;
  virtual GridBase *plunder() &&= 0;

// ---------------------------------------------------------------------------------------------------------------------
};

} // namespace grid

#endif //ALIB2_GRIDBASE_HPP
