/*
 * allocFix.hpp
 *
 * Created on: Mar 6, 2018
 * Author: Jan Travnicek
 */

#ifndef __ALLOC_FIX_HPP_
#define __ALLOC_FIX_HPP_

// related to issue with 'undefined reference to allocator < ... >::allocator ( )', subject of a delete when g++ fixes the issue

namespace ext {

template < class Alloc >
class AllocFix {
public:
	AllocFix ( ) {
		static Alloc alloc;
	}
};

} /* namespace ext */

#endif /* __ALLOC_FIX_HPP_ */
