/*
 * NFA.cpp
 *
 * Created on: Sep 26, 2017
 * Author: Jan Travnicek
 */

#include "NFA.h"
#include <automaton/Automaton.h>

#include <registration/StringRegistration.hpp>

namespace {

static auto stringWrite = registration::StringWriterRegister < automaton::Automaton, automaton::NFA < > > ( );
static auto stringWrite2 = registration::StringWriterRegister < object::Object, automaton::NFA < > > ( );

static auto stringReader = registration::StringReaderRegister < automaton::Automaton, automaton::NFA < > > ( );

} /* namespace */
